[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[gawk-diffs] [SCM] gawk branch, master, updated. gawk-4.1.0-2438-g985825
From: |
Arnold Robbins |
Subject: |
[gawk-diffs] [SCM] gawk branch, master, updated. gawk-4.1.0-2438-g9858254 |
Date: |
Wed, 22 Feb 2017 23:42:38 -0500 (EST) |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gawk".
The branch, master has been updated
via 985825455031c54c78efd9e71c54833a6886a25d (commit)
from 59affbb0cb17cd7fbc575413d787669a68f72f5b (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
http://git.sv.gnu.org/cgit/gawk.git/commit/?id=985825455031c54c78efd9e71c54833a6886a25d
commit 985825455031c54c78efd9e71c54833a6886a25d
Author: Arnold D. Robbins <address@hidden>
Date: Thu Feb 23 06:42:20 2017 +0200
Add script to update branches from master.
diff --git a/helpers/ChangeLog b/helpers/ChangeLog
index d29071e..a3d6815 100644
--- a/helpers/ChangeLog
+++ b/helpers/ChangeLog
@@ -1,3 +1,7 @@
+2017-02-23 Arnold D. Robbins <address@hidden>
+
+ * update-branches.sh: New file.
+
2016-10-23 Arnold D. Robbins <address@hidden>
* General: Remove trailing whitespace from all relevant files.
diff --git a/helpers/update-branches.sh b/helpers/update-branches.sh
new file mode 100755
index 0000000..659da8b
--- /dev/null
+++ b/helpers/update-branches.sh
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+if [ ! -d .git ]
+then
+ echo you must run this script from the top level directory
+ exit 1
+fi
+
+git checkout master || exit
+
+features=$(git branch -a | grep /origin/feature/ | sed 's;.*/origin/;;')
+others="porting"
+
+for i in $others $features
+do
+ (git checkout $i && git pull && git merge master && git push) || break
+done
+
+git checkout master || exit
-----------------------------------------------------------------------
Summary of changes:
helpers/ChangeLog | 4 ++++
helpers/update-branches.sh | 19 +++++++++++++++++++
2 files changed, 23 insertions(+)
create mode 100755 helpers/update-branches.sh
hooks/post-receive
--
gawk
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [gawk-diffs] [SCM] gawk branch, master, updated. gawk-4.1.0-2438-g9858254,
Arnold Robbins <=